<?php

/**
 * Created by PhpStorm.
 * User: Alessandro
 * Date: 11/03/16
 * Time: 12:27
 */
class TmbFeedParameters
{

	public static function getParam($param = null)
	{
		$params = Tools::jsonDecode(Configuration::get('TMBCVETTA_FEED_PARAMS'), true);

		if (is_null($param))
			return $params;

		if (isset($params['params'][$param]))
			return $params['params'][$param];
		else
			return null;
	}

	public static function updateParam($key, $value = null)
	{
		$params = self::getParam();

		if (empty($params))
			$params = array('params' => array());

		if (!is_array($key) && !is_null($value))
		{
			$value = (is_null($value)) ? 0 : $value;
			$params['params'][$key] = $value;
		}
		elseif (is_array($key))
		{
			foreach ($key as $k => $v)
				$params['params'][$k] = $v;
		}

		$res = (bool)Configuration::updateGlobalValue('TMBCVETTA_FEED_PARAMS', Tools::jsonEncode($params));

		return $res;
	}

	public static function deleteParam($key)
	{
		$params = self::getParam();

		if (empty($params))
			return false;

		unset($params['params'][$key]);

		$res = (bool)Configuration::updateGlobalValue('TMBCVETTA_FEED_PARAMS', Tools::jsonEncode($params));

		return $res;
	}

	public static function deleteAllParams()
	{
		$params = array('params' => array());

		$res = (bool)Configuration::updateGlobalValue('TMBCVETTA_FEED_PARAMS', Tools::jsonEncode($params));

		return $res;
	}

}